PDF::API3::Compat::API2::Basic::TTF::Head(3)

NAME
PDF::API3::Compat::API2::Basic::TTF::Head - The head table for a TTF Font

DESCRIPTION
This is a very basic table with just instance variables as described in the TTF documentation, using the same names. One of the most commonly used is "unitsPerEm".

INSTANCE VARIABLES
The "head" table has no internal instance variables beyond those common to all tables and those specified in the standard:

    version
    fontRevision
    checkSumAdjustment
    magicNumber
    flags
    unitsPerEm
    created
    modified
    xMin
    yMin
    xMax
    yMax
    macStyle
    lowestRecPPEM
    fontDirectionHint
    indexToLocFormat
    glyphDataFormat

The two dates are held as an array of two unsigned longs (32-bits)

METHODS

  $t->read
Reads the table into memory thanks to some utility functions

  $t->out($fh)
Writes the table to a file either from memory or by copying. If in memory (which is usually) the checkSumAdjustment field is set to 0 as per the default if the file checksum is not to be considered.

  $t->XML_element($context, $depth, $key, $value)
Handles date process for the XML exporter

  $t->update
Updates the head table based on the glyph data and the hmtx table

  $t->getdate($is_create)
Converts font modification time (or creation time if $is_create is set) to a 32-bit integer as returned from time(). Returns undef if the value is out of range, either before the epoch or after the maximum storable time.

  $t->setdate($time, $is_create)
Sets the time information for modification (or creation time if $is_create is set) according to the 32-bit time information.

BUGS
None known

AUTHOR
Martin Hosken Martin_Hosken@sil.org. See PDF::API3::Compat::API2::Basic::TTF::Font for copyright and licensing.